<!--
/********************************************************************************
 * Copyright © 2018 Mettenmeier GmbH.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/
-->
<div class="container-fluid">
  <div class="row">
    <div class="col-md-12">
      <form class="mt-3" [formGroup]="form" novalidate>
        <div class="row">
          <div class="col-md-12 col-sm-12 col-xl-12">
            <div class="form-group row">
              <label for="startIdOfUser" class="col-sm-3 col-form-label">erste Bereitschaft</label>
              <div class="col-sm-9">
                <select class="form-control" id="startIdOfUser" formControlName="startIdOfUser" required>
                  <option value=""></option>
                  <option *ngFor="let user of listOfStandbyUsers" [value]="user.id">{{user.firstname + ' ' +
                    user.lastname}}</option>
                </select>
                <ok-error [control]="form.controls['startIdOfUser']"></ok-error>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-12 col-sm-12 col-xl-12">
            <div class="row" formGroupName="date">
              <label class="form-check-label col-form-label col-md-3">
                Gültigkeit
              </label>
              <div class="col-md-4">
                <div class="form-group">
                  <div class="input-group">
                    <input class="form-control" placeholder="von" name="dp" ngbDatepicker #validFrom="ngbDatepicker"
                      formControlName="validFrom" required id="CalcDateFromInput">
                    <div class="input-group-append">
                      <button class="btn btn-outline-secondary" (click)="validFrom.toggle()" type="button" id="CalcDateFromPicker">
                        <i class="fa fa-calendar" aria-hidden="true"></i>
                      </button>
                    </div>
                    <div class="input-group-append">
                      <button class="btn btn-outline-secondary" (click)="setDefaultDate('validFrom')" type="button" id="CalcDateFromDefault"
                        data-toggle="tooltip" data-placement="bottom" title="Auf Standardwert setzen">
                        <i class="fa fa-clock-o" aria-hidden="true"></i>
                      </button>
                    </div>
                    <ok-error [control]="form.get('date').get('validFrom')" class="w-100"></ok-error>
                  </div>
                  <ok-error [control]="form.controls['date']"></ok-error>
                </div>
              </div>
              <div class="col-md-4">
                <div class="form-group">
                  <div class="input-group">
                    <input class="form-control" placeholder="bis" name="dp" ngbDatepicker #validTo="ngbDatepicker"
                      formControlName="validTo" required id="CalcDateToInput">
                    <div class="input-group-append">
                      <button class="btn btn-outline-secondary" (click)="validTo.toggle()" type="button" id="CalcDateToPicker">
                        <i class="fa fa-calendar" aria-hidden="true"></i>
                      </button>
                    </div>
                    <div class="input-group-append">
                      <button class="btn btn-outline-secondary" (click)="setDefaultDate('validTo')" type="button" id="CalcDateToDefault"
                        data-toggle="tooltip" data-placement="bottom" title="Auf Standardwert setzen">
                        <i class="fa fa-clock-o" aria-hidden="true"></i>
                      </button>
                    </div>
                    <ok-error [control]="form.get('date').get('validTo')" class="w-100"></ok-error>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="row mt-3 mb-3">
          <div class="col-md-12">
            <button class="btn btn-success" (click)="calculate()" id="calculateDialogSave">Berechnen</button>
            <button class="btn btn-danger float-right" (click)="activeModal.close('cancel click')" id="calculateDialogCancel">Abbrechen</button>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>